AuthorizationException (Hadoop 0.20.1+169.88 API)
Date: 2010-05-20

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.security.authorize
Class AuthorizationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.hadoop.fs.permission.AccessControlException
                      org.apache.hadoop.security.AccessControlException
                          org.apache.hadoop.security.authorize.AuthorizationException

All Implemented Interfaces:
  Serializable

    public class AuthorizationException

extends AccessControlException

An exception class for authorization-related issues. This class does not provide the stack trace for security purposes.

See Also:
  Serialized Form

Constructor Summary
`AuthorizationException()`
`AuthorizationException(String message)`
`AuthorizationException(Throwable cause)` Constructs a new exception with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

Method Summary
`StackTraceElement[]` | `getStackTrace()`
`void` | `printStackTrace()`
`void` | `printStackTrace(PrintStream s)`
`void` | `printStackTrace(PrintWriter s)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AuthorizationException

    public AuthorizationException()

### AuthorizationException

    public AuthorizationException(String message)

### AuthorizationException

    public AuthorizationException(Throwable cause)

  Constructs a new exception with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

  Parameters:
    `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)

Method Detail

### getStackTrace

    public StackTraceElement[] getStackTrace()

  Overrides:
    `getStackTrace` in class `Throwable`

### printStackTrace

    public void printStackTrace()

  Overrides:
    `printStackTrace` in class `Throwable`

### printStackTrace

    public void printStackTrace(PrintStream s)

  Overrides:
    `printStackTrace` in class `Throwable`

### printStackTrace

    public void printStackTrace(PrintWriter s)

  Overrides:
    `printStackTrace` in class `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation